Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class FrameSetTag

    java.lang.Object
      org.htmlparser.nodes.AbstractNode
          org.htmlparser.nodes.TagNode
              org.htmlparser.tags.CompositeTag
                  org.htmlparser.tags.FrameSetTag

All Implemented Interfaces:
  Serializable, Cloneable, Node, Tag

    public class FrameSetTag

extends CompositeTag

Identifies an frame set tag.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.tags.CompositeTag
`mDefaultCompositeScanner, mEndTag`

Fields inherited from class org.htmlparser.nodes.TagNode
`breakTags, mAttributes, mDefaultScanner`

Fields inherited from class org.htmlparser.nodes.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`FrameSetTag()` Create a new frame set tag.

Method Summary
`String[]` | `getEndTagEnders()` Return the set of end tag names that cause this tag to finish.
`FrameTag` | `getFrame(String name)` Gets a frame by name.
`FrameTag` | `getFrame(String name, Locale locale)` Gets a frame by name.
`NodeList` | `getFrames()` Returns the frames.
`String[]` | `getIds()` Return the set of names handled by this tag.
`void` | `setFrames(NodeList frames)` Sets the frames (children of this tag).
`String` | `toString()` Return a string representation of the contents of this `FRAMESET` tag suitable for debugging.

Methods inherited from class org.htmlparser.tags.CompositeTag
`accept, childAt, children, collectInto, digupStringNode, elements, findPositionOf, findPositionOf, findPositionOf, getChild, getChildCount, getChildrenAsNodeArray, getChildrenHTML, getEndTag, getStringText, getText, putChildrenInto, putEndTagInto, removeChild, searchByName, searchFor, searchFor, searchFor, searchFor, setEndTag, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributesEx, getEnders, getEndingLineNumber, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getThisScanner, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributeEx, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText, setThisScanner`

Methods inherited from class org.htmlparser.nodes.AbstractNode
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.htmlparser.Node
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Constructor Detail

### FrameSetTag

    public FrameSetTag()

  Create a new frame set tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Specified by:
    `getIds` in interface `Tag`
  Overrides:
    `getIds` in class `TagNode`
  Returns:
    The names to be matched that create tags of this type.

### getEndTagEnders

    public String[] getEndTagEnders()

  Return the set of end tag names that cause this tag to finish.

  Specified by:
    `getEndTagEnders` in interface `Tag`
  Overrides:
    `getEndTagEnders` in class `TagNode`
  Returns:
    The names of following end tags that stop further scanning.

### toString

    public String toString()

  Return a string representation of the contents of this `FRAMESET` tag suitable for debugging.

  Specified by:
    `toString` in interface `Node`
  Overrides:
    `toString` in class `CompositeTag`
  Returns:
    A string with this tag's contents.

### getFrames

    public NodeList getFrames()

  Returns the frames.

  Returns:
    The children of this tag.

### getFrame

    public FrameTag getFrame(String name)

  Gets a frame by name. Names are checked without case sensitivity and conversion to uppercase is performed with an English locale.

  Parameters:
    `name` - The name of the frame to retrieve.
  Returns:
    The specified frame or `null` if it wasn't found.

### getFrame

    public FrameTag getFrame(String name,
                             Locale locale)

  Gets a frame by name. Names are checked without case sensitivity and conversion to uppercase is performed with the locale provided.

  Parameters:
    `name` - The name of the frame to retrieve.
    `locale` - The locale to use when converting to uppercase.
  Returns:
    The specified frame or `null` if it wasn't found.

### setFrames

    public void setFrames(NodeList frames)

  Sets the frames (children of this tag).

  Parameters:
    `frames` - The frames to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |